layout.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/loglevel.h>`
`#include <log4cplus/streams.h>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/timehelper.h>`
`#include <vector>`
`#include <memory>`
Include dependency graph for layout.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::Layout
| This class is used to layout strings sent to an `log4cplus::Appender`. More...
class | log4cplus::SimpleLayout
| SimpleLayout consists of the LogLevel of the log statement, followed by " - " and then the log message itself. More...
class | log4cplus::TTCCLayout
| TTCC layout format consists of time, thread, Logger and nested diagnostic context information, hence the name. More...
class | log4cplus::PatternLayout
| A flexible layout configurable with pattern string. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::pattern
namespace | log4cplus::helpers
namespace | log4cplus::spi

## Functions

LOG4CPLUS_EXPORT helpers::Time const & | log4cplus::getTTCCLayoutTimeBase ()